import 'dotenv/config';
import db from './src/database/models/index.js';
const { ApplicationStatusHistory } = (db as any).default || db;

const applicationId = '6139d6f9-f3c1-4e55-903b-3516d3a08955';

async function checkStatusHistory() {
    try {
        const count = await ApplicationStatusHistory.count({
            where: { applicationId }
        });

        console.log(`Application has ${count} status history records.`);

    } catch (error) {
        console.error('Error checking history:', error);
    } finally {
        process.exit();
    }
}

checkStatusHistory();
